import { StyleSheet } from 'react-native';

export default StyleSheet.create({
  loader: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    height: '100%',
    width: '100%',
  },
  mainContainer: {
    backgroundColor: '#202020',
    height: 75,
    alignItems: 'center',
    justifyContent: 'center',
  },
  subContainer: {
    backgroundColor: '#ffffff',
    height: '100%',
    width: '100%',
    alignItems: 'center',
    // justifyContent: 'center',
    marginTop: -25,
    borderTopRightRadius: 25,
    borderTopLeftRadius: 25,
    paddingHorizontal: 10
  },
  driverBooking: {
    shadowColor: '#000',
    shadowOffset: { width: 7, height: 7 },
    shadowOpacity: 0.4,
    shadowRadius: 15,
    // borderRadius: 15,
    borderColor: '#c8ccd0',
    // borderTopColor: '#c8ccd0',
    // borderWidth: 1,
    elevation: 8,
    backgroundColor: '#202020',
    width: '100%',
    // height: 150,
    marginTop: 50,
    display: 'flex',
    overflow: 'hidden',
    flexDirection: 'row',
  },
  taxiBooking: {
    shadowColor: '#000',
    shadowOffset: { width: 7, height: 7 },
    shadowOpacity: 0.4,
    shadowRadius: 15,
    // borderRadius: 15,
    borderColor: '#c8ccd0',
    // borderTopColor: '#c8ccd0',
    // borderWidth: 1,
    elevation: 8,
    backgroundColor: '#202020',
    width: '100%',
    // height: 150,
    marginTop: 30,
    display: 'flex',
    overflow: 'hidden',
    flexDirection: 'row',
  },
  blueLine: {
    backgroundColor: '#202020',
    width: 10,
    height: '100%',
    borderTopLeftRadius: 25,
    borderBottomLeftRadius: 25,
  },
  rightBlueView: {
    paddingHorizontal: 10,
    paddingVertical: 10,
    // backgroundColor: 'red',
    width: '100%',
    // paddingRight: 30,
    alignItems: 'center'
  },
  loremText: {
    marginTop: 15, 
    textAlign: 'auto', 
    lineHeight: 18, 
    fontSize: 13,
    color: '#848688', 
    fontFamily: 'monospace',
    // fontStyle: 'oldstyle-nums', 
    // fontFamily: 'sans-serif',
    fontWeight: 'bold'
  },
  driverBookText: {
    color: '#ffffff',
    letterSpacing: 0.5, 
    fontSize: 14,
    textTransform: 'uppercase',
  },
  orangeLine: {
    backgroundColor: '#ff9800',
    width: 10,
    height: '100%',
    borderTopLeftRadius: 25,
    borderBottomLeftRadius: 25,
  },
  rightOrangeView: {
    paddingHorizontal: 10,
    paddingVertical: 10,
    // backgroundColor: 'red',
    width: '100%',
    // paddingRight: 30,
    alignItems: 'center'
  },
  taxiBookText: {
    color: '#ffffff',
    letterSpacing: 0.5, 
    fontSize: 14,
    textTransform: 'uppercase',
  },
})
